# Free times of a published service

`GET /public/bookings/availability` · Rivier · bookings

Free times of a published service.

- Scope: bookings:read
- Graphql: Query.publicBookingAvailability
- Sdk: bookings.public.slots
- Cli: bookings public slots
- Publishable: yes

## Parameters

- `serviceId` (query, required), string
- `from` (query, required), string
- `to` (query, required), string
- `durationMinutes` (query), integer
- `partySize` (query), integer
- `resourceIds` (query)
- `limit` (query), integer

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/public/bookings/availability' \
  -H 'Authorization: Bearer $KEY'
```
